using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class ConfigureSystemsModel : PageModel
    {
        readonly IConfiguration _configuration;

        public int login = 0;
        public const string SessionKeyLogin = "_Login";
        public string SessionInfo_Login { get; private set; }

        private string connectionString;

        public List<VoteSystem> voteSystems = new List<VoteSystem>();

        public ConfigureSystemsModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            VerifyLogin();

            voteSystems = GetSystemList();
        }


        private void VerifyLogin()
        {
            if (!string.IsNullOrEmpty(HttpContext.Session.GetString(SessionKeyLogin)))
                login = (int)HttpContext.Session.GetInt32(SessionKeyLogin);

            if (login != 2)
                Response.Redirect("./Error");
        }

        private void GetSessionData()
        {
            if (!string.IsNullOrEmpty(HttpContext.Session.GetString(SessionKeyLogin)))
                login = (int)HttpContext.Session.GetInt32(SessionKeyLogin);
        }

        private List<VoteSystem> GetSystemList()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<VoteSystem> systemList = new List<VoteSystem>();

            VoteSystem voteSystem = new VoteSystem();

            systemList = voteSystem.SystemList(connectionString);

            return systemList;
        }
    }
}
