﻿using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Configuration;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class IndexModel : PageModel
    {
        private readonly ILogger<IndexModel> _logger;

        private readonly IConfiguration _configuration;

        private string connectionString;

        public List<Feature> features = new List<Feature>();


        public IndexModel(ILogger<IndexModel> logger, IConfiguration configuration)
        {
            _logger = logger;

            _configuration = configuration;
        }

        public void OnGet()
        {
            features = GetFeatureList();
        }

        private List<Feature> GetFeatureList()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<Feature> featureList = new List<Feature>();

            Feature feature = new Feature();

            featureList = feature.FeatureList(connectionString);

            return featureList;
        }
    }
}
