using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class SystemsModel : PageModel
    {
        readonly IConfiguration _configuration;

        private string connectionString;

        public List<VoteSystem> voteSystems = new List<VoteSystem>();

        public SystemsModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            voteSystems = GetSystemList();
        }

        private List<VoteSystem> GetSystemList()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<VoteSystem> systemList = new List<VoteSystem>();

            VoteSystem voteSystem = new VoteSystem();

            systemList = voteSystem.SystemList(connectionString);

            return systemList;
        }
    }
}
