using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class VoteDetailsModel : PageModel
    {
        readonly IConfiguration _configuration;

        public List<Vote> voteDetails = new List<Vote>();

        public string systemName;

        private string connectionString;

        public VoteDetailsModel(IConfiguration configuration)
        {
            _configuration = configuration;

        }
        public void OnGet()
        {

            GetSystemName();

            voteDetails = GetVoteDetails();
        }

        private void GetSystemName()
        {
            int voteSystemId;

            voteSystemId = Convert.ToInt16(Request.Query["systemid"]);

            connectionString = _configuration.GetConnectionString("ConnectionString");
       
            VoteSystem voteSystem = new VoteSystem();

            systemName = voteSystem.GetSystemName(connectionString, voteSystemId);
        }

        private List<Vote> GetVoteDetails()
        {
            int voteSystemId;

            voteSystemId = Convert.ToInt16(Request.Query["systemid"]);

            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<Vote> voteInformation = new List<Vote>();

            Vote vote = new Vote();

            voteInformation = vote.VoteDetails(connectionString, voteSystemId);

            return voteInformation;
        }
    }
}
